GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
scoped_input_handler Class Reference

## Public Member Functions
| scoped_input_handler ()
| ~scoped_input_handler ()
| DISABLE_COPY_AND_ASSIGN (scoped_input_handler)

## Private Attributes
target_terminal::scoped_restore_terminal_state | m_term_state
scoped_restore_tmpl< quit_handler_ftype * > | m_quit_handler
struct ui * | m_ui

## Detailed Description

Definition at line 844 of file utils.c.

## Constructor & Destructor Documentation

## ◆ scoped_input_handler()

scoped_input_handler::scoped_input_handler | ( |  | ) |
| inline

Definition at line 848 of file utils.c.

References current_ui, m_ui, target_terminal::ours(), PROMPT_BLOCKED, ui::prompt_state, and ui_register_input_event_handler().

## ◆ ~scoped_input_handler()

scoped_input_handler::~scoped_input_handler | ( |  | ) |
| inline

Definition at line 858 of file utils.c.

References m_ui, and ui_unregister_input_event_handler().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

scoped_input_handler::DISABLE_COPY_AND_ASSIGN | ( | scoped_input_handler |  | ) |

## Member Data Documentation

## ◆ m_quit_handler

scoped_restore_tmpl<quit_handler_ftype *> scoped_input_handler::m_quit_handler
| private

Definition at line 872 of file utils.c.

## ◆ m_term_state

target_terminal::scoped_restore_terminal_state scoped_input_handler::m_term_state
| private

Definition at line 869 of file utils.c.

## ◆ m_ui

struct ui* scoped_input_handler::m_ui
| private

Definition at line 875 of file utils.c.

Referenced by scoped_input_handler(), and ~scoped_input_handler().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/utils.c